%define	name	perl-mp3-icecast
%define	module	MP3-Icecast
%define	version	0.02
%define	release	2mdk

Summary:	MP3::Icecast - Generate Icecast streams
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		Development/Perl
Url:		http://www.cpan.org
Source:		http://search.cpan.org/CPAN/authors/id/A/AL/ALLENDAY/%{module}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl-MP3-Info
Requires: 	perl 
BuildArch:	noarch

%description
MP3::Icecast - Generate Icecast streams, as well as M3U and PLSv2 playlists.

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/*
%_mandir/man3/*

%changelog
* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.02-2mdk
- rebuild for new perl

* Mon Apr 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.02-1mdk
- initial spec
